Bug 438486 - ocaml-camomile doesn't build on ppc64 (even in Rawhide)
ocaml-camomile doesn't build on ppc64 (even in Rawhide)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Triaged
Depends On: 445545
Blocks: FE-ExcludeArch-ppc64/F-ExcludeArch-ppc64
  Show dependency treegraph
 
Reported: 2008-03-21 08:04 EDT by Richard W.M. Jones
Modified: 2012-11-15 13:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:05:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-03-21 08:04:38 EDT
ocaml-camomile doesn't build on ppc64 because of some very strange
memory-related bug.  (In fact, this is not just a problem for ppc64
but happens more rarely on x86-64 too).

Failed build:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=524318

I dug into this and the problem is very strange indeed.  This program
fails:
  tools/parse_allkeys.opt database < unidata/tr10/allkeys.txt

and it fails because it (randomly, intermittently) tries to
allocate 34 GB [sic] of RAM.  Not always, only about 50% of the time
that you run it.  The program itself contains no randomized
element at all that I can see, so I can only assume a very
subtle compiler or runtime bug.
Comment 1 Bug Zapper 2008-05-14 02:46:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard W.M. Jones 2008-05-14 17:17:28 EDT
Moved back to Rawhide.

This is a manifestation of bug 445545 which unfortunately cannot
be fixed easily on ppc64, until OCaml 3.11 is released.
Comment 3 Bug Zapper 2008-11-25 21:10:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:27:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:05:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Richard W.M. Jones 2012-05-19 05:56:33 EDT
Resolution is wrong: This was in fact fixed when we
updated to OCaml >= 3.11.

Note You need to log in before you can comment on or make changes to this bug.